BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.Reports.ProbationReportRepository Class Reference

## Public Member Functions
| ProbationReportRepository (IApplicationDBContext dbContext, NotificationRepository repositoryNoti, IWebHostEnvironment hostEnvironment, IConfiguration configuration)
async Task< object > | GetProbationAssignAsync (Guid assign_id, string token)
async Task< object > | GetEvaluateRecordAsync (Guid assign_id, string token)
async Task< object > | GetEvaluateAssignAsync (Guid id, string token)
async Task< object > | GetEvaluateChairmanAssignAsync (Guid id, string token)
async Task< object > | GetEvaluateResultAssignAsync (Guid id, string token)
async Task | NotifyProbation ()

## Constructor & Destructor Documentation

## ◆ ProbationReportRepository()

BMA.EHR.Application.Repositories.Reports.ProbationReportRepository.ProbationReportRepository | ( | IApplicationDBContext | dbContext,
|  | NotificationRepository | repositoryNoti,
|  | IWebHostEnvironment | hostEnvironment,
|  | IConfiguration | configuration
| ) |  |
| inline

## Member Function Documentation

## ◆ GetEvaluateAssignAsync()

async Task< object > BMA.EHR.Application.Repositories.Reports.ProbationReportRepository.GetEvaluateAssignAsync | ( | Guid | id,
|  | string | token
| ) |  |
| inline

## ◆ GetEvaluateChairmanAssignAsync()

async Task< object > BMA.EHR.Application.Repositories.Reports.ProbationReportRepository.GetEvaluateChairmanAssignAsync | ( | Guid | id,
|  | string | token
| ) |  |
| inline

## ◆ GetEvaluateRecordAsync()

async Task< object > BMA.EHR.Application.Repositories.Reports.ProbationReportRepository.GetEvaluateRecordAsync | ( | Guid | assign_id,
|  | string | token
| ) |  |
| inline

## ◆ GetEvaluateResultAssignAsync()

async Task< object > BMA.EHR.Application.Repositories.Reports.ProbationReportRepository.GetEvaluateResultAssignAsync | ( | Guid | id,
|  | string | token
| ) |  |
| inline

## ◆ GetProbationAssignAsync()

async Task< object > BMA.EHR.Application.Repositories.Reports.ProbationReportRepository.GetProbationAssignAsync | ( | Guid | assign_id,
|  | string | token
| ) |  |
| inline

## ◆ NotifyProbation()

async Task BMA.EHR.Application.Repositories.Reports.ProbationReportRepository.NotifyProbation | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Reports/ProbationReportRepository.cs